PutAlertManagerSilences - Amazon Managed Service for Prometheus
Services or capabilities described in AWS documentation might vary by Region. To see the differences applicable to the AWS European Sovereign Cloud Region, see the AWS European Sovereign Cloud User Guide.

PutAlertManagerSilences

The PutAlertManagerSilences operation creates a new alert silence or updates an existing one.

Valid HTTP verbs:

POST

Valid URIs:

/workspaces/workspaceId/alertmanager/api/v2/silences

URL query parameters:

silence An object that represents the silence. The following is the format:

{ "id": "string", "matchers": [ { "name": "string", "value": "string", "isRegex": Boolean, "isEqual": Boolean } ], "startsAt": "timestamp", "endsAt": "timestamp", "createdBy": "string", "comment": "string" }

Sample request

POST /workspaces/ws-b226cc2a-a446-46a9-933a-ac50479a5568/alertmanager/api/v2/silences HTTP/1.1 Content-Length: 281, Authorization: AUTHPARAMS X-Amz-Date: 20201201T193725Z User-Agent: Grafana/8.1.0 { "matchers":[ { "name":"job", "value":"up", "isRegex":false, "isEqual":true } ], "startsAt":"2020-07-23T01:05:36+00:00", "endsAt":"2023-07-24T01:05:36+00:00", "createdBy":"test-person", "comment":"test silence" }

Sample response

HTTP/1.1 200 OK x-amzn-RequestId: 12345678-abcd-4442-b8c5-262b45e9b535 Content-Length: 53 Connection: keep-alive Date: Tue, 01 Dec 2020 19:37:25 GMT Content-Type: application/json Server: amazon vary: Origin { "silenceID": "512860da-74f3-43c9-8833-cec026542b32" }